### Method

# GIRepository BaseInfo clear

since: 2.80

#### Declaration

    void
    gi_base_info_clear (
      void* info
    )

#### Description

Clears memory allocated internally by a stack-allocated `GIBaseInfo`.

This does not deallocate the `GIBaseInfo` struct itself. It does clear the struct to zero so that calling this function subsequent times on the same struct is a no-op.

This must only be called on stack-allocated `GIBaseInfo`s. Use `gi_base_info_unref()` for heap-allocated ones.

Available since: 2.80